<?php

/**
 * Register widget area.
 *
 * @package bootstrap_coach
 */


function bootstrap_coach_widgets_init() {

	register_sidebar( array(
		'name'          => esc_html__( 'Bootstrap Coach Sidebar', 'bootstrap-coach' ),
		'id'            => 'sidebar-1',
		'description'   => 'This is the sidebar to be displayed on Bootstrap Coach pages and posts.',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h4 class="widget-title">',
		'after_title'   => '</h4>',
	) );

	for($i = 1; $i<5; $i++){
		register_sidebar(
			array(
				'name'          => esc_html__( 'Footer Widget', 'bootstrap-coach' ) . " " . $i,
				'id'            => 'footer-'.$i.'',
				'description'   => esc_html__( 'Add widgets here.', 'bootstrap-coach' ),
				'before_widget' => '<section id="%1$s" class="widget %2$s">',
				'after_widget'  => '</section>',
				'before_title'  => '<h4 class="widget-title">',
				'after_title'   => '</h4>',
			)
		);
	}

}
add_action( 'widgets_init', 'bootstrap_coach_widgets_init' );